> ## Documentation Index
> Fetch the complete documentation index at: https://developer.onecodex.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Retrieve A Document

GET a single Document by its ID.


## OpenAPI

````yaml GET /api/v1/documents/{id}
openapi: 3.0.0
info:
  title: One Codex API (v1)
  description: >-
    The One Codex API (v1) -- programmatic access to One Codex's suite of
    microbial genomics data storage, analysis, and query tools.
  version: v1
servers:
  - url: https://app.onecodex.com
security:
  - apiKeyAuth: []
paths:
  /api/v1/documents/{id}:
    get:
      summary: GET documents
      operationId: get_documents_self
      parameters:
        - name: id
          in: path
          required: true
          schema:
            type: string
      responses:
        '200':
          description: Successful operation
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/documents'
components:
  schemas:
    documents:
      type: object
      properties:
        $uri:
          type: string
          pattern: ^/api/v1/documents\/[^/]+$
          example: /api/v1/documents/a1b2c3d4e5f67890
        created_at:
          type: string
          format: date-time
          description: >-
            Timestamp for when the object was created on the One Codex platform,
            encoded as a [RFC 3339](https://www.ietf.org/rfc/rfc3339.txt)
            timestamp.
        downloaders:
          type: array
          default: []
          description: >-
            An (optionally empty) array of references to users that the document
            has been shared with. These users are able to download (but not
            modify) the document.
          items:
            type: object
            properties:
              $ref: 02bb80fc-3308-49c6-989b-f63c24fbca91
        filename:
          type: string
          description: The document filename (e.g., "report.pdf")
        size:
          type: integer
          description: The size of the document in bytes.
        uploader:
          type: object
          description: >-
            A reference to the user that uploaded and owns the document, e.g.,
            `{"$ref": "/api/v1/users/5891ee65711c4d5e"}`. Only owners can modify
            a document (with some exceptions in the case of organization
            accounts configured for multiple users - please [contact
            us](mailto:support@onecodex.com) if you'd like to discuss this use
            case).
          properties:
            $ref: f9bb1bcb-6947-47a3-adfc-6ce5e2217256
  securitySchemes:
    apiKeyAuth:
      type: apiKey
      in: header
      name: X-API-Key

````